Starting May 1st we will delete old versions of uploaded container images from the container registry. More Details

Fixed proxy gui issues. Added latest rabbit chart.

parent 2b85928c
Pipeline #46776 failed with stages
in 17 minutes and 50 seconds
dependencies:
- name: rabbitmq
version: "4.0.1"
repository: "https://kubernetes-charts.storage.googleapis.com/"
\ No newline at end of file
version: "5.1.0"
repository: "https://kubernetes-charts.storage.googleapis.com/"
......@@ -15,7 +15,7 @@ data:
location {{ .Values.proxy.external.path }}/gui {
root /app/;
rewrite ^{{ .Values.proxy.external.path }}/gui/(.*)$ /nomad/$1 break;
try_files $uri $uri/ {{ .Values.proxy.external.path }}/gui/index.html;
try_files $uri {{ .Values.proxy.external.path }}/gui/index.html;
}
}
env.js: |
......
......@@ -12,6 +12,9 @@ data:
server {
listen 80;
server_name www.example.com;
location {{ .Values.proxy.external.path }} {
return 301 {{ .Values.proxy.external.path }}/gui;
}
location {{ .Values.proxy.external.path }}/gui {
proxy_pass http://{{ include "nomad.fullname" . }}-gui:{{ .Values.gui.port }};
proxy_set_header Host $host;
......
......@@ -73,6 +73,8 @@ proxy:
## configuration of the chart dependency for rabbitmq
rabbitmq:
persistence:
enabled: false
nodeSelector:
nomadtype: public
image.pullSecrets: nil
......
......@@ -54,7 +54,6 @@ gitpython
mypy
pylint
pylint_plugin_utils
astroid==2.0.4 # bug in pylint_mongoengine with latest version
pylint_mongoengine
pycodestyle
pytest==3.10.0 # celery fixtures not compatible with 4.x
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment